> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/document-detector/builder/upload.md).

# Modo de envio

Para habilitar a funcionalidade de envio de documentos, é necessário instanciar um objeto do tipo UploadSettings(boolean enable) e definir seus parâmetros:

| Parâmetro                                         | Descrição                                                               | Padrão                                   | Obrigatório |
| ------------------------------------------------- | ----------------------------------------------------------------------- | ---------------------------------------- | :---------: |
| `.setEnable(enable: Boolean)`                     | Ativa ou desativa este recurso.                                         | `true`                                   |      ❌      |
| `.setCompress(enable: Boolean)`                   | Ativa ou desativa a compactação de arquivos antes do envio.             | `true`                                   |      ❌      |
| `.setFileFormats(fileFormats: Array<FileFormat>)` | Especifica os formatos de arquivo aceitos para upload.                  | `.PDF`, `.JPG`, `.JPEG`, `.PNG`, `.HEIF` |      ❌      |
| `.setMaxFileSize(maxFileSize: Int)`               | Define o limite máximo de tamanho do arquivo em KB.                     | `10000` (10MB)                           |      ❌      |
| `.setActivityLayout(activityLayout: Int)`         | Define o layout de fundo para upload de documentos.                     | -                                        |      ❌      |
| `.setPopUpLayout(popUpLayout: Int)`               | Define o layout da janela pop-up da solicitação de upload de documento. | -                                        |      ❌      |

Atualmente, os formatos de arquivo suportados são:

| Tipo   | Valor             |
| ------ | ----------------- |
| `PNG`  | `image/png`       |
| `JPG`  | `image/jpg`       |
| `JPEG` | `image/jpeg`      |
| `PDF`  | `application/pdf` |
| `HEIF` | `image/heif`      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/document-detector/builder/upload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
